# Lister les runs — API CacheBoost

> Récupérer l'historique des runs de tous les boosts.

Source: https://www.cache-boost.com/fr/support/api-reference/runs/list.md
Language: fr

---



Returns run history across all boosts, newest first.

**`GET /v1/runs`** — Scope: `runs:read`

## Query parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `boost_id` | integer | Optional | Filter by boost ID. |
| `limit` | integer | Optional | Results per page. Default: 20, max: 100. |
| `offset` | integer | Optional | Pagination offset. Default: 0. |

## Example request

```bash
curl "https://api.cache-boost.com/v1/runs?boost_id=15&limit=20" \
  -H "Authorization: Bearer cb_live_YOUR_KEY"
```

## Response

`200 OK` — paginated list of run objects.

```json
{
  "data": [
    {
      "id": 88,
      "boost_id": 15,
      "status": "done",
      "started_at": "2025-01-15T01:00:05Z",
      "finished_at": "2025-01-15T01:04:22Z",
      "summary": {
        "total_calls": 1240,
        "successful_calls": 1238,
        "failed_calls": 2,
        "cache_hits": 1165,
        "average_response_time_ms": 112.5
      }
    }
  ],
  "limit": 20,
  "offset": 0
}
```

### Run status values

| Value | Description |
|-------|-------------|
| `pending` | Queued and waiting to start |
| `running` | Currently in progress |
| `done` | Completed successfully |
| `failed` | Ended with errors |
| `paused` | Paused due to high error rate |

## Errors

| Code | Description |
|------|-------------|
| `401` | Missing or invalid API key |
| `403` | Insufficient scope |



---

**CacheBoost** — Automatic cache warming for faster websites.

- Website: https://www.cache-boost.com
- Full content (all pages): https://www.cache-boost.com/llms-full.txt
- LLM index: https://www.cache-boost.com/llms.txt
- Documentation: https://www.cache-boost.com/support/getting-started/introduction
- Start free: https://www.cache-boost.com/try
